Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.workbench.diagram
Class DiagramExporterRegistry

    java.lang.Object
      biouml.workbench.diagram.DiagramExporterRegistry

public class DiagramExporterRegistry
extends java.lang.Object

Nested Class Summary
`static class` | `DiagramExporterRegistry.ExporterInfo` Utility class that stores information about `DiagramExporter`.

Field Summary
`static java.lang.String` | `DESCRIPTION`
`static java.lang.String` | `DIAGRAM_TYPE`
`static java.lang.String` | `EXPORTER_CLASS`
`static java.lang.String` | `FORMAT`
`static java.lang.String` | `SUFFIX`

Constructor Summary
`DiagramExporterRegistry()`

Method Summary
`static DiagramExporterRegistry.ExporterInfo[]` | `getExporterInfo(java.lang.String format, Diagram diagram)` Returns suitable exporter for the specified format.
`static java.util.HashMap` | `getRegistry()`
`protected static void` | `loadExtensions(java.lang.String extensionPointId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIAGRAM_TYPE

    public static final java.lang.String DIAGRAM_TYPE

See Also:
  Constant Field Values

### FORMAT

    public static final java.lang.String FORMAT

See Also:
  Constant Field Values

### EXPORTER_CLASS

    public static final java.lang.String EXPORTER_CLASS

See Also:
  Constant Field Values

### SUFFIX

    public static final java.lang.String SUFFIX

See Also:
  Constant Field Values

### DESCRIPTION

    public static final java.lang.String DESCRIPTION

See Also:
  Constant Field Values

Constructor Detail

### DiagramExporterRegistry

    public DiagramExporterRegistry()

Method Detail

### getRegistry

    public static java.util.HashMap getRegistry()

### getExporterInfo

    public static DiagramExporterRegistry.ExporterInfo[] getExporterInfo(java.lang.String format,
                                                                         Diagram diagram)

  Returns suitable exporter for the specified format.

### loadExtensions

    protected static void loadExtensions(java.lang.String extensionPointId)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.